# xarray.Dataset.broadcast_like

`Dataset.``broadcast_like`(other: Union[Dataset, DataArray], exclude: Iterable[Hashable] = None) → Dataset

  Broadcast this DataArray against another Dataset or DataArray. This is equivalent to xr.broadcast(other, self)[1]

  Parameters:

  - other (Dataset or DataArray) – Object against which to broadcast this array.
  - exclude (iterable of hashable, optional) – Dimensions that must not be broadcasted